curl "https://api.haau3.com/v1/fhir/r4/Questionnaire?url=http://loinc.org/q/44249-1" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const bundle = await haau3.searchQuestionnaire({ url: "http://loinc.org/q/44249-1" });
console.log(bundle.entry?.length ?? 0);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
bundle = client.search_questionnaire(url="http://loinc.org/q/44249-1")
print(len(bundle.get("entry", [])))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
bundle, err := client.SearchQuestionnaire(ctx, haau3.SearchQuestionnaireParams{URL: new("http://loinc.org/q/44249-1")})
if err != nil {
log.Fatal(err)
}
fmt.Println(len(bundle.Entry))
}
{
"resourceType": "Bundle",
"type": "searchset",
"total": 1,
"link": [
{
"relation": "self",
"url": "https://api.haau3.com/v1/fhir/r4/Questionnaire?url=http%3A%2F%2Floinc.org%2Fq%2F44249-1"
}
],
"entry": [
{
"fullUrl": "https://api.haau3.com/v1/fhir/r4/Questionnaire/44249-1",
"resource": {
"resourceType": "Questionnaire",
"id": "44249-1",
"meta": {
"lastUpdated": "2026-08-19T00:00:00+00:00"
},
"url": "http://loinc.org/q/44249-1",
"version": "2.83",
"name": "PHQ_quick_depression_assessment_panel",
"title": "PHQ-9 quick depression assessment panel",
"status": "draft",
"subjectType": [
"Patient"
],
"publisher": "Regenstrief Institute, Inc.",
"contact": [
{
"name": "Regenstrief Institute, Inc.",
"telecom": [
{
"system": "url",
"value": "http://loinc.org"
}
]
}
],
"description": "PHQ-9 quick depression assessment panel [Reported.PHQ]",
"copyright": "This material contains content from LOINC (http://loinc.org). LOINC is copyright Regenstrief Institute, Inc. and the Logical Observation Identifiers Names and Codes (LOINC) Committee and is available at no cost under the license at http://loinc.org/license. LOINC® is a registered United States trademark of Regenstrief Institute, Inc.\r\nCopyright © Pfizer Inc. All rights reserved. Developed by Drs. Robert L. Spitzer, Janet B.W. Williams, Kurt Kroenke and colleagues, with an educational grant from Pfizer Inc. No permission required to reproduce, translate, display or distribute.",
"code": [
{
"system": "http://loinc.org",
"code": "44249-1",
"display": "PHQ-9 quick depression assessment panel"
}
],
"item": [
{
"linkId": "14363",
"code": [
{
"system": "http://loinc.org",
"code": "44250-9",
"display": "Little interest or pleasure in doing things"
}
],
"prefix": "PHQ-9.1",
"text": "Little interest or pleasure in doing things",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14364",
"code": [
{
"system": "http://loinc.org",
"code": "44255-8",
"display": "Feeling down, depressed, or hopeless"
}
],
"prefix": "PHQ-9.2",
"text": "Feeling down, depressed, or hopeless",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14365",
"code": [
{
"system": "http://loinc.org",
"code": "44259-0",
"display": "Trouble falling or staying asleep, or sleeping too much"
}
],
"text": "Trouble falling or staying asleep, or sleeping too much",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14366",
"code": [
{
"system": "http://loinc.org",
"code": "44254-1",
"display": "Feeling tired or having little energy"
}
],
"text": "Feeling tired or having little energy",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14367",
"code": [
{
"system": "http://loinc.org",
"code": "44251-7",
"display": "Poor appetite or overeating"
}
],
"text": "Poor appetite or overeating",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14368",
"code": [
{
"system": "http://loinc.org",
"code": "44258-2",
"display": "Feeling bad about yourself-or that you are a failure or have let yourself or your family down"
}
],
"text": "Feeling bad about yourself-or that you are a failure or have let yourself or your family down",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14369",
"code": [
{
"system": "http://loinc.org",
"code": "44252-5",
"display": "Trouble concentrating on things, such as reading the newspaper or watching television"
}
],
"text": "Trouble concentrating on things, such as reading the newspaper or watching television",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14370",
"code": [
{
"system": "http://loinc.org",
"code": "44253-3",
"display": "Moving or speaking so slowly that other people could have noticed. Or the opposite – being so fidgety or restless that you were moving around a lot more than usual"
}
],
"text": "Moving or speaking so slowly that other people could have noticed. Or the opposite – being so fidgety or restless that you were moving around a lot more than usual",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14371",
"code": [
{
"system": "http://loinc.org",
"code": "44260-8",
"display": "Thoughts that you would be better off dead, or of hurting yourself in some way"
}
],
"text": "Thoughts that you would be better off dead, or of hurting yourself in some way",
"type": "choice",
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "57492",
"code": [
{
"system": "http://loinc.org",
"code": "69722-7",
"display": "How difficult have these problems made it for you to do your work, take care of things at home, or get along with other people?"
}
],
"text": "How difficult have these problems made it for you to do your work, take care of things at home, or get along with other people?",
"type": "choice",
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6572-7",
"display": "Not difficult at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6573-5",
"display": "Somewhat difficult"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6574-3",
"display": "Extremely difficult"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6575-0",
"display": "Very difficult"
}
}
]
},
{
"linkId": "14372",
"text": "Patient health questionnaire 9 item total score",
"type": "decimal"
}
]
},
"search": {
"mode": "match"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}List or find a questionnaire
With no parameters, this lists the questionnaires this service holds copies of. Those render the same way on every request, and that list is what you can rely on.
Naming a canonical url reaches any questionnaire the source publishes, including ones this service holds no copy of. Those depend on the source being reachable, and when it cannot answer you get a 502, 503 or 504 carrying an OperationOutcome, so a failure never arrives looking like an empty result.
A canonical that is the address of a form published at its own address, under https://smart-health-checkin.org/connectathon/Questionnaire/ or another place this service is set up to reach, is fetched from that address and served exactly as published, its entry’s fullUrl the address it was fetched from. Any other canonical matches nothing.
Two parameters are offered: url (the canonical, optionally as {url}|{version}) and version. Every other parameter, status included, is refused by name rather than ignored, so a search never quietly answers a different question than the one asked. Results are never paged: one page, with total set.
Questionnaires are served exactly as their source publishes them. Each carries its own copyright, which must be kept with the form wherever it goes.
curl "https://api.haau3.com/v1/fhir/r4/Questionnaire?url=http://loinc.org/q/44249-1" \
-H "Authorization: Bearer $HAAU3_API_KEY"import { Haau3 } from "@haau3/sdk";
const haau3 = new Haau3(); // reads HAAU3_API_KEY
const bundle = await haau3.searchQuestionnaire({ url: "http://loinc.org/q/44249-1" });
console.log(bundle.entry?.length ?? 0);
from haau3 import Haau3
client = Haau3() # reads HAAU3_API_KEY
bundle = client.search_questionnaire(url="http://loinc.org/q/44249-1")
print(len(bundle.get("entry", [])))
package main
import (
"context"
"fmt"
"log"
"github.com/haau3/haau3-go"
)
func main() {
ctx := context.Background()
client, err := haau3.NewClient() // reads HAAU3_API_KEY
if err != nil {
log.Fatal(err)
}
bundle, err := client.SearchQuestionnaire(ctx, haau3.SearchQuestionnaireParams{URL: new("http://loinc.org/q/44249-1")})
if err != nil {
log.Fatal(err)
}
fmt.Println(len(bundle.Entry))
}
{
"resourceType": "Bundle",
"type": "searchset",
"total": 1,
"link": [
{
"relation": "self",
"url": "https://api.haau3.com/v1/fhir/r4/Questionnaire?url=http%3A%2F%2Floinc.org%2Fq%2F44249-1"
}
],
"entry": [
{
"fullUrl": "https://api.haau3.com/v1/fhir/r4/Questionnaire/44249-1",
"resource": {
"resourceType": "Questionnaire",
"id": "44249-1",
"meta": {
"lastUpdated": "2026-08-19T00:00:00+00:00"
},
"url": "http://loinc.org/q/44249-1",
"version": "2.83",
"name": "PHQ_quick_depression_assessment_panel",
"title": "PHQ-9 quick depression assessment panel",
"status": "draft",
"subjectType": [
"Patient"
],
"publisher": "Regenstrief Institute, Inc.",
"contact": [
{
"name": "Regenstrief Institute, Inc.",
"telecom": [
{
"system": "url",
"value": "http://loinc.org"
}
]
}
],
"description": "PHQ-9 quick depression assessment panel [Reported.PHQ]",
"copyright": "This material contains content from LOINC (http://loinc.org). LOINC is copyright Regenstrief Institute, Inc. and the Logical Observation Identifiers Names and Codes (LOINC) Committee and is available at no cost under the license at http://loinc.org/license. LOINC® is a registered United States trademark of Regenstrief Institute, Inc.\r\nCopyright © Pfizer Inc. All rights reserved. Developed by Drs. Robert L. Spitzer, Janet B.W. Williams, Kurt Kroenke and colleagues, with an educational grant from Pfizer Inc. No permission required to reproduce, translate, display or distribute.",
"code": [
{
"system": "http://loinc.org",
"code": "44249-1",
"display": "PHQ-9 quick depression assessment panel"
}
],
"item": [
{
"linkId": "14363",
"code": [
{
"system": "http://loinc.org",
"code": "44250-9",
"display": "Little interest or pleasure in doing things"
}
],
"prefix": "PHQ-9.1",
"text": "Little interest or pleasure in doing things",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14364",
"code": [
{
"system": "http://loinc.org",
"code": "44255-8",
"display": "Feeling down, depressed, or hopeless"
}
],
"prefix": "PHQ-9.2",
"text": "Feeling down, depressed, or hopeless",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14365",
"code": [
{
"system": "http://loinc.org",
"code": "44259-0",
"display": "Trouble falling or staying asleep, or sleeping too much"
}
],
"text": "Trouble falling or staying asleep, or sleeping too much",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14366",
"code": [
{
"system": "http://loinc.org",
"code": "44254-1",
"display": "Feeling tired or having little energy"
}
],
"text": "Feeling tired or having little energy",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14367",
"code": [
{
"system": "http://loinc.org",
"code": "44251-7",
"display": "Poor appetite or overeating"
}
],
"text": "Poor appetite or overeating",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14368",
"code": [
{
"system": "http://loinc.org",
"code": "44258-2",
"display": "Feeling bad about yourself-or that you are a failure or have let yourself or your family down"
}
],
"text": "Feeling bad about yourself-or that you are a failure or have let yourself or your family down",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14369",
"code": [
{
"system": "http://loinc.org",
"code": "44252-5",
"display": "Trouble concentrating on things, such as reading the newspaper or watching television"
}
],
"text": "Trouble concentrating on things, such as reading the newspaper or watching television",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14370",
"code": [
{
"system": "http://loinc.org",
"code": "44253-3",
"display": "Moving or speaking so slowly that other people could have noticed. Or the opposite – being so fidgety or restless that you were moving around a lot more than usual"
}
],
"text": "Moving or speaking so slowly that other people could have noticed. Or the opposite – being so fidgety or restless that you were moving around a lot more than usual",
"type": "choice",
"required": true,
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "14371",
"code": [
{
"system": "http://loinc.org",
"code": "44260-8",
"display": "Thoughts that you would be better off dead, or of hurting yourself in some way"
}
],
"text": "Thoughts that you would be better off dead, or of hurting yourself in some way",
"type": "choice",
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6569-3",
"display": "Several days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6570-1",
"display": "More than half the days"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6568-5",
"display": "Not at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6571-9",
"display": "Nearly every day"
}
}
]
},
{
"linkId": "57492",
"code": [
{
"system": "http://loinc.org",
"code": "69722-7",
"display": "How difficult have these problems made it for you to do your work, take care of things at home, or get along with other people?"
}
],
"text": "How difficult have these problems made it for you to do your work, take care of things at home, or get along with other people?",
"type": "choice",
"repeats": false,
"answerOption": [
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6572-7",
"display": "Not difficult at all"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6573-5",
"display": "Somewhat difficult"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6574-3",
"display": "Extremely difficult"
}
},
{
"valueCoding": {
"system": "http://loinc.org",
"code": "LA6575-0",
"display": "Very difficult"
}
}
]
},
{
"linkId": "14372",
"text": "Patient health questionnaire 9 item total score",
"type": "decimal"
}
]
},
"search": {
"mode": "match"
}
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}{
"resourceType": "OperationOutcome",
"issue": [
{
"severity": "fatal",
"code": "<string>",
"details": {
"text": "<string>"
},
"diagnostics": "<string>",
"expression": [
"<string>"
]
}
]
}Authorizations
Your platform API key (haau3_sk_…), sent as Authorization: Bearer <key>.
Headers
An id of your own for this request, as a UUID. It comes back in the X-Correlation-Id header and is kept with haau3's record of the request. Any value that is not a UUID is ignored. See https://docs.haau3.com/errors#request-ids.
Query Parameters
Exact match on the canonical URL, for example http://loinc.org/q/44249-1. The {url}|{version} form is accepted and matches that version only, and never answers a different version than the one asked for. A canonical this service holds a copy of is answered from that copy at every version; any other LOINC canonical is fetched from LOINC, where a version names a release of its catalogue. A canonical that is the address of a form under a place this service is set up to reach is fetched from that address; any other canonical matches nothing.
Exact match on the business version. On its own it filters the copies this service holds; with url it names the release to fetch.